From 80fe0018b3af20ec588d2dcdf9f33c92e68659bc Mon Sep 17 00:00:00 2001
From: Young Jin Park <youngjinpark20@gmail.com>
Date: Wed, 5 Jun 2019 08:40:37 +0900
Subject: [PATCH] New package: zsh-history-substring-search-1.0.1

closes #12092
---
 srcpkgs/zsh-history-substring-search/INSTALL.msg |  3 +++
 srcpkgs/zsh-history-substring-search/template    | 16 ++++++++++++++++
 2 files changed, 19 insertions(+)
 create mode 100644 srcpkgs/zsh-history-substring-search/INSTALL.msg
 create mode 100644 srcpkgs/zsh-history-substring-search/template

diff --git a/srcpkgs/zsh-history-substring-search/INSTALL.msg b/srcpkgs/zsh-history-substring-search/INSTALL.msg
new file mode 100644
index 00000000000..089875bb908
--- /dev/null
+++ b/srcpkgs/zsh-history-substring-search/INSTALL.msg
@@ -0,0 +1,3 @@
+To activate zsh-history-substring-search source it at the end of ~/.zshrc:
+
+	. /usr/share/zsh/plugins/zsh-history-substring-search/zsh-history-substring-search
diff --git a/srcpkgs/zsh-history-substring-search/template b/srcpkgs/zsh-history-substring-search/template
new file mode 100644
index 00000000000..6814ed9ca1c
--- /dev/null
+++ b/srcpkgs/zsh-history-substring-search/template
@@ -0,0 +1,16 @@
+# Template file for 'zsh-history-substring-search'
+pkgname=zsh-history-substring-search
+version=1.0.1
+revision=1
+archs=noarch
+depends="zsh"
+short_desc="Fish-like history search feature for zsh"
+maintainer="Young-Jin Park <youngjinpark20@gmail.com>"
+license="BSD-3-Clause"
+homepage="https://github.com/zsh-users/zsh-history-substring-search"
+distfiles="${homepage}/archive/v${version}.tar.gz"
+checksum=4de589fe54471f0c3449e74c8297b843ef57ce7d8c19d2cae4171a7d4021d85b
+
+do_install() {
+	vinstall ${pkgname}.zsh 644 usr/share/zsh/plugins/${pkgname}
+}
